Driver/Library mismatch on CentOs 7 when initializing nvidia-smi

I installed the linux graphics drivers on my CentOs 7.8 Machine and the vGPU client for my Tesla T4 Card.
When i do “nvidia-smi” i get:
Failed to initialize NVML: Driver/library version mismatch.

dmesg | grep -E “NVRM|nvidia”:
[ 3.866560] nvidia: loading out-of-tree module taints kernel.
[ 3.866567] nvidia: module license ‘NVIDIA’ taints kernel.
[ 3.935654] nvidia: module verification failed: signature and/or required key missing - tainting kernel
[ 4.003498] nvidia-nvlink: Nvlink Core is being initialized, major device number 241
[ 4.004009] nvidia 0000:37:00.0: enabling device (0140 -> 0142)
[ 4.049394] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 440.95.01 Thu May 28 07:03:08 UTC 2020
[ 4.090593] nvidia-modeset: Loading NVIDIA Kernel Mode Setting Driver for UNIX platforms 440.95.01 Thu May 28 07:04:22 UTC 2020
[ 4.097879] [drm] [nvidia-drm] [GPU ID 0x00003700] Loading driver
[ 4.097884] [drm] Initialized nvidia-drm 0.0.0 20160202 for 0000:37:00.0 on minor 1
[ 5.388842] nvidia_vgpu_vfio: Unknown symbol nvidia_vgpu_vfio_get_ops (err 0)
[ 5.388906] nvidia_vgpu_vfio: Unknown symbol nvidia_vgpu_vfio_set_ops (err 0)
[ 84.762539] NVRM: API mismatch: the client has the version 440.87, but
NVRM: this kernel module has the version 440.95.01. Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.
[ 109.197445] NVRM: API mismatch: the client has the version 440.87, but
NVRM: this kernel module has the version 440.95.01. Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.
[ 133.955152] NVRM: API mismatch: the client has the version 440.87, but
NVRM: this kernel module has the version 440.95.01. Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.
[251347.685937] NVRM: API mismatch: the client has the version 440.87, but
NVRM: this kernel module has the version 440.95.01. Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.

I don’t understand that mismatch, because I think I’ve downloaded the right versions. Do I need to uninstall and reinstall completely? How would I do that? Or what else can be the problem here?

Thanks for any help.

Best Regards,